Bug 827807 - Review Request: python-tracing - Python debug logging helper
Summary: Review Request: python-tracing - Python debug logging helper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 827808 827810
TreeView+ depends on / blocked
 
Reported: 2012-06-03 06:25 UTC by Michel Alexandre Salim
Modified: 2012-10-18 11:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-19 14:58:40 UTC
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2012-06-03 06:25:04 UTC
Spec URL: http://salimma.fedorapeople.org/specs/admin/python-tracing.spec
SRPM URL: http://salimma.fedorapeople.org/specs/admin/python-tracing-0.6-1.fc17.src.rpm
Description:
The Python library tracing helps with logging debug messages. It
provides a couple of functions for logging debug messages, and allows
the user to enable or disable logging for particular code modules.

It is sometimes practical to add a lot of debugging log messages to a
program, but having them enabled all the time results in very large
log files. Also, logging that much takes quite a bit of time.

This module provides a way to turn such debugging or tracing messages
on and off, based on the filename they occur in. The logging can that
be left in the code, and only enabled when it is needed.

Fedora Account System Username: salimma

Comment 1 Peter Lemenkov 2012-06-04 09:26:25 UTC
I'll review it.

Comment 2 Peter Lemenkov 2012-06-04 10:54:37 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent:

sulaco ~/rpmbuild/SPECS: rpmlint ../SRPMS/python-tracing-0.6-1.fc18.src.rpm ../RPMS/noarch/python-tracing-*
python-tracing.src: W: spelling-error %description -l en_US filename -> file name, file-name, filament
python-tracing.noarch: W: spelling-error %description -l en_US filename -> file name, file-name, filament
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
sulaco ~/rpmbuild/SPECS: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv3 or later, as stated in the source file).
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum python-tracing_0.6.orig.tar.gz*
1164cf05891f9bca93fb87413f32d2c4da90348adbf69b0ad36a464b7adcd354  python-tracing_0.6.orig.tar.gz
1164cf05891f9bca93fb87413f32d2c4da90348adbf69b0ad36a464b7adcd354  python-tracing_0.6.orig.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4125204

+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

I've got only very small proposal - please consider adding "example.py" as %doc.  It looks like a good start for those who decide to use this package.

This package is 

APPROVED.

PS. It would be great if you also consider reviewing one of these packages in return - #739014, #739016, #821845, #822491, #822928, #823017, #823458 although I'm not insisting (they are Erlang-related which seems to scare people away unfortunately)

Comment 3 Michel Alexandre Salim 2012-06-05 07:41:34 UTC
Thanks, Peter! I'll take a look at the review requests you listed. Will add example.py -- thanks for the reminder; I thought about it when packaging but haven't got round to it yet.

New Package SCM Request
=======================
Package Name: python-tracing
Short Description: Python debug logging helper
Owners: salimma
Branches: f16 f17
InitialCC:

Comment 4 Gwyn Ciesla 2012-06-05 12:28:14 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-06-05 15:43:30 UTC
python-tracing-0.6-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tracing-0.6-2.fc17

Comment 6 Fedora Update System 2012-06-05 15:43:42 UTC
python-tracing-0.6-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-tracing-0.6-2.fc16

Comment 7 Fedora Update System 2012-06-07 02:29:14 UTC
python-tracing-0.6-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 8 Fedora Update System 2012-06-19 14:58:40 UTC
python-tracing-0.6-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 9 Fedora Update System 2012-06-20 00:20:44 UTC
python-tracing-0.6-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 10 Michel Alexandre Salim 2012-10-17 06:48:20 UTC
Package Change Request
======================
Package Name: python-tracing
New Branches: el6

Comment 11 Gwyn Ciesla 2012-10-17 14:02:25 UTC
Misformatted request.

Comment 12 Michel Alexandre Salim 2012-10-18 07:05:10 UTC
Package Change Request
======================
Package Name: python-tracing
New Branches: el6
Owners: salimma

Comment 13 Gwyn Ciesla 2012-10-18 11:09:15 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.